#!/bin/sh
#
# code by ngc1927
#
export PATH=$PATH:.:/var/bin:/var/sbin
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:.:/var/lib

cd /tmp/

kill -9 `pidof lockd` 1>/dev/null 2>/dev/null
kill -9 `pidof nfsd` 1>/dev/null 2>/dev/null
kill -9 `pidof nfsd` 1>/dev/null 2>/dev/null
kill -9 `pidof nfsd` 1>/dev/null 2>/dev/null
kill -9 `pidof nfsd` 1>/dev/null 2>/dev/null
kill -9 `pidof rpc.statd` 1>/dev/null 2>/dev/null
kill -9 `pidof rpc.mountd` 1>/dev/null 2>/dev/null
kill -9 `pidof rpc.portmap` 1>/dev/null 2>/dev/null
echo "..program stopped"

rmmod nfsd 1>/dev/null 2>/dev/null
rmmod exportfs 1>/dev/null 2>/dev/null
echo "..modules unload"

[ -e /var/etc/rcS.d/S80nfsd_start.sh ] && rm -f /var/etc/rcS.d/S80nfsd_start.sh

echo "*******************"
echo "NFSD Stopped"

exit 0
